## rclone-browser 1.2

=== src/CMakeLists.txt ===
if(WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /WX /wd4100 /wd4189")
else()
  add_definitions("-pedantic -Wall -Wextra -Werror -std=c++11")
endif()

project(rclone-browser)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(UI
  main_window.ui
  remote_widget.ui
  transfer_dialog.ui
  export_dialog.ui
  progress_dialog.ui
  job_widget.ui
  mount_widget.ui
  stream_widget.ui
  preferences_dialog.ui
)

set(MOC
  main_window.h
  remote_widget.h
  transfer_dialog.h
  export_dialog.h
  progress_dialog.h
  job_widget.h
  mount_widget.h
  stream_widget.h
  preferences_dialog.h
  icon_cache.h
  item_model.h
)

set(OTHER
  pch.h
  utils.h
)

set(SOURCE
  pch.cpp
  main.cpp
  main_window.cpp
  remote_widget.cpp
  transfer_dialog.cpp
  export_dialog.cpp
  progress_dialog.cpp
  job_widget.cpp
  mount_widget.cpp
  stream_widget.cpp
  preferences_dialog.cpp
  icon_cache.cpp
  item_model.cpp
  utils.cpp
)

if(WIN32)
  set(OTHER ${OTHER} resources.rc)
elseif(APPLE)
  set(OTHER ${OTHER} osx_helper.h)
  set(SOURCE ${SOURCE} osx_helper.mm)
endif()

set(QRC resources.qrc)

add_definitions(-DRCLONE_BROWSER_VERSION="${RCLONE_BROWSER_VERSION}")

qt5_wrap_ui(UI_OUT ${UI})
qt5_wrap_cpp(MOC_OUT ${MOC})
qt5_add_resources(QRC_OUT ${QRC} OPTIONS "-no-compress")

source_group("" FILES ${SOURCE} ${MOC} ${UI} ${QRC} ${OTHER})
source_group("Generated" FILES ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT})

use_pch(pch.h pch.cpp "${SOURCE}")
use_pch(pch.h pch.cpp "${MOC_OUT}")

if(WIN32)
  add_executable(RcloneBrowser WIN32 ${SOURCE} ${BACKEND} ${OTHER} ${MOC} ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT})
  target_link_libraries(RcloneBrowser Qt5::Widgets Qt5::WinExtras)
elseif(APPLE)
  set_source_files_properties(icon.icns PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
  add_executable(rclone-browser MACOSX_BUNDLE ${SOURCE} ${BACKEND} ${OTHER} ${MOC} ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT} icon.icns)
  target_link_libraries(rclone-browser Qt5::Widgets Qt5::MacExtras ${COCOA_LIB})
  set_target_properties(rclone-browser PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist")

  add_custom_command(TARGET rclone-browser POST_BUILD COMMAND
    ${CMAKE_COMMAND} -E copy_directory "src/icon.icns" "$<TARGET_FILE_DIR:rclone-browser>/../Resources/")
else()
  add_executable(rclone-browser ${SOURCE} ${BACKEND} ${OTHER} ${MOC} ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT})
  target_link_libraries(rclone-browser Qt5::Widgets)

  install(TARGETS rclone-browser RUNTIME DESTINATION bin)
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/icon.png" DESTINATION "share/pixmaps" RENAME "rclone-browser.png")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../scripts/rclone-browser.desktop" DESTINATION "share/applications")
endif()

=== debian/changelog ===
rclone-browser (1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #920138)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 22 Jan 2019 04:31:02 +0100

=== debian/control ===
Source: rclone-browser
Section: net
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev
Standards-Version: 4.2.1
Homepage: https://github.com/mmozeiko/RcloneBrowser

Package: rclone-browser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rclone
Description: Simple cross platform GUI for rclone
 This is a GUI for rclone, which is a program to sync files and directories
 between the local file system and a variety of commercial cloud storage
 providers.

## rclone-browser 1.2.1+rb2

=== debian/changelog ===
rclone-browser (1.2.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Feb 2021 16:18:59 +0800

## rclone-browser 1.7.0

=== debian/changelog ===
rclone-browser (1.7.0-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: dropped, fixed upstream.
  * Update homepage.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 07:25:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, qtbase5-dev
-Standards-Version: 4.2.1
-Homepage: https://github.com/mmozeiko/RcloneBrowser
+Standards-Version: 4.4.1
+Homepage: https://github.com/kapitainsky/RcloneBrowser
 
 Package: rclone-browser
 Architecture: any

## rclone-browser 1.8.0

=== CMakeLists.txt ===
project(rclone-browser)

cmake_minimum_required(VERSION 2.8)

if(WIN32)
  # link automatically to qtmain.lib on Windows
  cmake_policy(SET CMP0020 NEW)
endif()

find_package(Qt5Widgets REQUIRED)
if(WIN32)
  find_package(Qt5WinExtras REQUIRED)
elseif(APPLE)
  find_package(Qt5MacExtras REQUIRED)
  find_library(COCOA_LIB Cocoa REQUIRED)
endif()

if(WIN32)
  set_property(GLOBAL PROPERTY USE_FOLDERS OFF)

  add_definitions("-D_UNICODE -DUNICODE -D_SCL_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE")

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} /GF /Gy /GS- /GR- /GL")

  set(CMAKE_EXE_LINKER_FLAGS "/INCREMENTAL:NO")
  set(CMAKE_EXE_LINKER_FLAGS_DEBUG "/DEBUG")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE "/LTCG /OPT:ICF /OPT:REF")

  macro(use_pch HEADER SOURCE FILES)
    foreach(FILE ${FILES})
      set_source_files_properties(${FILE} PROPERTIES COMPILE_FLAGS "/Yu${HEADER} /FI${HEADER}")
    endforeach()
    set_source_files_properties(${SOURCE} PROPERTIES COMPILE_FLAGS "/Yc${HEADER}")
  endmacro(use_pch)

else()

  macro(use_pch TARGET HEADER SOURCE)
    # TODO
  endmacro(use_pch)

endif()

file(READ "VERSION" RCLONE_BROWSER_VERSION)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${rclone-browser_BINARY_DIR}/build")

add_subdirectory(src)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

if (NOT ${CMAKE_VERSION} VERSION_LESS "3.0.0")
	cmake_policy(SET CMP0028 NEW)
endif()
if (NOT ${CMAKE_VERSION} VERSION_LESS "2.8.11")
	cmake_policy(SET CMP0020 NEW)
endif()

if(WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /WX /wd4100 /wd4189")
else()
  add_definitions("-pedantic -Wall -Wextra -Werror -std=c++11")
endif()

if (APPLE)
  set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
endif()

project(rclone-browser)
FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5Gui REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)
FIND_PACKAGE(Qt5Network REQUIRED)

if (WIN32)
FIND_PACKAGE(Qt5WinExtras REQUIRED)
elseif(APPLE)
FIND_PACKAGE(Qt5MacExtras REQUIRED)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(UI
  main_window.ui
  remote_widget.ui
  transfer_dialog.ui
  export_dialog.ui
  progress_dialog.ui
  job_widget.ui
  mount_widget.ui
  stream_widget.ui
  preferences_dialog.ui
)

set(MOC
  main_window.h
  remote_widget.h
  transfer_dialog.h
  export_dialog.h
  progress_dialog.h
  job_widget.h
  mount_widget.h
  stream_widget.h
  preferences_dialog.h
  icon_cache.h
  list_of_job_options.h
  item_model.h
)

set(OTHER
  pch.h
  utils.h
  job_options.h
)

set(SOURCE
  pch.cpp
  main.cpp
  main_window.cpp
  remote_widget.cpp
  transfer_dialog.cpp
  export_dialog.cpp
  progress_dialog.cpp
  job_widget.cpp
  mount_widget.cpp
  stream_widget.cpp
  preferences_dialog.cpp
  icon_cache.cpp
  item_model.cpp
  utils.cpp
  job_options.cpp
  list_of_job_options.cpp
)

if(WIN32)
  set(OTHER ${OTHER} resources.rc)
elseif(APPLE)
  set(OTHER ${OTHER} osx_helper.h)
  set(SOURCE ${SOURCE} osx_helper.mm)
endif()

set(QRC resources.qrc)

add_definitions(-DRCLONE_BROWSER_VERSION="${RCLONE_BROWSER_VERSION}")

qt5_wrap_ui(UI_OUT ${UI})
qt5_wrap_cpp(MOC_OUT ${MOC})
qt5_add_resources(QRC_OUT ${QRC} OPTIONS "-no-compress")

source_group("" FILES ${SOURCE} ${MOC} ${UI} ${QRC} ${OTHER})
source_group("Generated" FILES ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT})

MACRO(ADD_MSVC_PRECOMPILED_HEADER PrecompiledHeader PrecompiledSource SourcesVar)
  IF(MSVC)
    GET_FILENAME_COMPONENT(PrecompiledBasename ${PrecompiledHeader} NAME_WE)
    SET(PrecompiledBinary "${CMAKE_CURRENT_BINARY_DIR}/${PrecompiledBasename}.pch")
    SET(Sources ${${SourcesVar}})

    SET_SOURCE_FILES_PROPERTIES(${PrecompiledSource}
                                PROPERTIES COMPILE_FLAGS "/Yc\"${PrecompiledHeader}\" /Fp\"${PrecompiledBinary}\""
                                           OBJECT_OUTPUTS "${PrecompiledBinary}")
    SET_SOURCE_FILES_PROPERTIES(${Sources}
                                PROPERTIES COMPILE_FLAGS "/Yu\"${PrecompiledHeader}\" /FI\"${PrecompiledHeader}\" /Fp\"${PrecompiledBinary}\""
                                           OBJECT_DEPENDS "${PrecompiledBinary}")
    # Add precompiled header to SourcesVar
    LIST(APPEND ${SourcesVar} ${PrecompiledSource})
  ENDIF(MSVC)
ENDMACRO(ADD_MSVC_PRECOMPILED_HEADER)

ADD_MSVC_PRECOMPILED_HEADER(pch.h pch.cpp SOURCE)
ADD_MSVC_PRECOMPILED_HEADER(pch.h pch.cpp MOC_OUT)

if(WIN32)
  add_executable(RcloneBrowser WIN32 ${SOURCE} ${BACKEND} ${OTHER} ${MOC} ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT})
  target_link_libraries(RcloneBrowser Qt5::Widgets Qt5::Network Qt5::WinExtras)
elseif(APPLE)
  set_source_files_properties(icon.icns PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
  add_executable(rclone-browser MACOSX_BUNDLE ${SOURCE} ${BACKEND} ${OTHER} ${MOC} ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT} icon.icns)
  target_link_libraries(rclone-browser Qt5::Widgets Qt5::Network Qt5::MacExtras ${COCOA_LIB})
  set_target_properties(rclone-browser PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist")

else()
  add_executable(rclone-browser ${SOURCE} ${BACKEND} ${OTHER} ${MOC} ${MOC_OUT} ${UI_OUT} ${MOC_OUT} ${QRC_OUT})
  target_link_libraries(rclone-browser Qt5::Widgets Qt5::Network)

  install(TARGETS rclone-browser RUNTIME DESTINATION bin)
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser.svg" DESTINATION "share/icons/hicolor/scalable/apps" RENAME "rclone-browser.svg")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser-32x32.png" DESTINATION "share/icons/hicolor/32x32/apps" RENAME "rclone-browser.png")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser-64x64.png" DESTINATION "share/icons/hicolor/64x64/apps" RENAME "rclone-browser.png")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser-128x128.png" DESTINATION "share/icons/hicolor/128x128/apps" RENAME "rclone-browser.png")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser-256x256.png" DESTINATION "share/icons/hicolor/256x256/apps" RENAME "rclone-browser.png")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser-512x512.png" DESTINATION "share/icons/hicolor/512x512/apps" RENAME "rclone-browser.png")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../assets/rclone-browser.desktop" DESTINATION "share/applications")
endif()

=== debian/changelog ===
rclone-browser (1.8.0-7) unstable; urgency=medium

  * Fix CMake 4 FTBFS. (Closes: #1113461)
  * Bump standards version to 4.7.2.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Sun, 30 Nov 2025 18:03:29 +0100

rclone-browser (1.8.0-6) unstable; urgency=medium

  * Team upload (package under salsa debian namespace)
  * Fix privacy leak (Closes: #1102487)

 -- Eduardo Trápani <mapache@debian.org>  Fri, 25 Apr 2025 17:47:06 -0300

rclone-browser (1.8.0-5) unstable; urgency=medium

  * Bump standards version to 4.7.0,

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:14:42 +0000

rclone-browser (1.8.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Tue, 13 Jun 2023 16:23:00 +0200

rclone-browser (1.8.0-3) experimental; urgency=medium

  * Bump standards version to 4.6.2.
  * d/control: update Vcs fields.
  * d/upstream/metadata: added.

 -- Gürkan Myczko <tar@debian.org>  Fri, 31 Mar 2023 07:25:44 +0200

rclone-browser (1.8.0-2) unstable; urgency=medium

  * Update maintainer address.
  * Depend on rclone for mipsel, drop Suggests. (Closes: #972546)
  * d/control: Update Vcs fields.
  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Tue, 19 Apr 2022 07:29:15 +0200

rclone-browser (1.8.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without -Werror. (Closes: #973786)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Feb 2021 21:31:46 +0200

rclone-browser (1.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't Depend on rclone on mipsel (where rclone fails to build).
    Use Suggests instead. See Bug#972546.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Oct 2020 10:34:08 +0800

rclone-browser (1.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 18 Feb 2020 04:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: rclone-browser
 Section: net
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, qtbase5-dev
-Standards-Version: 4.4.1
+Maintainer: Alex Myczko <tar@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ qtbase5-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/rclone-browser
+Vcs-Git: https://salsa.debian.org/debian/rclone-browser.git
 Homepage: https://github.com/kapitainsky/RcloneBrowser
 
 Package: rclone-browser

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
